Bug 457492 - Review Request: procbench - Multiplatform information tool and CPU benchmark for x86 procs
Review Request: procbench - Multiplatform information tool and CPU benchmark ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 20:21 EDT by Kairo Francisco de Araujo
Modified: 2008-10-12 11:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 11:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kairo Francisco de Araujo 2008-07-31 20:21:06 EDT
Spec URL: http://kairo.fedorapeople.org/procbench/procbench.spec
SRPM URL: http://kairo.fedorapeople.org/procbench/procbench-0.8.2a-1.fc9.src.rpm
Description: Procbench is a multiplatform information tool and CPU benchmark for x86 processors. It tests memory transfer and math capabilities of your x86 
processor. It includes programs (pb_g++ and pb_gcc) to get the best GCC 
optimisation parameters for a CPU.
Comment 1 Kairo Francisco de Araujo 2008-07-31 20:22:52 EDT
$ rpmlint rpmbuild/SPECS/procbench.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/kairo/rpmbuild/SRPMS/procbench-0.8.2a-1.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/kairo/rpmbuild/RPMS/i386/procbench-0.8.2a-1.fc9.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/kairo/rpmbuild/RPMS/i386/procbench-debuginfo-0.8.2a-1.fc9.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Adel Gadllah 2008-08-01 14:38:32 EDT
Review

========
[+]	source files match upstream:
		2aaba7be4ecfe81e4349b7a1be7899c300faeaca
[+]	package meets naming and versioning guidelines.
[-]	specfile is properly named, is cleanly written and uses macros consistently:
		Use "ExclusiveArch: i386 x86_64" instead of BuildArch
[+]	dist tag is present.
[+]	build root is correct.
		 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
recommended value, but not the only one)
[+]	license field matches the actual license.
[+]	license is open source-compatible.
[+]	license text included in package.
[+]	latest version is being packaged.
[+]	BuildRequires are proper.
[-]	compiler flags are appropriate:
		It does not use $RPM_OPT_FLAGS
[+]	%clean is present.
[-]	package builds in mock:
		does not due to the BuildArch vs ExclusiveArch issue, see above.
[+]	package installs properly.
[-]	debuginfo package looks complete:
		no due to wrong CFLAGS usage.
[+]	rpmlint is silent.
[-]	owns the directories it creates.
		please own "%{_datadir}/%{name}/" (just removing the * after it should do it)
[+]	doesn't own any directories it shouldn't.
[-]	no duplicates in %files.
[+]	file permissions are appropriate.
[+]	no scriptlets present.
[+]	code, not content.
[+]	documentation is small, so no -docs subpackage is necessary.
[+]	%docs are not necessary for the proper functioning of the package.

=======

Summary:

1) Use ExclusiveArch
2) Use proper CFLAGS
3) Fix the ownership issue

And I will approve it (rest looks good).
Comment 3 Adel Gadllah 2008-08-01 14:39:17 EDT
"[-]	no duplicates in %files."
Should be 
"[+]	no duplicates in %files."
Comment 4 Kairo Francisco de Araujo 2008-08-01 23:47:15 EDT
- Fixed ExclusiveArch, ownership issue and proper CFLAGS

SPEC File: http://kairo.fedorapeople.org/procbench/procbench.spec
SRPM File: http://kairo.fedorapeople.org/procbench/procbench-0.8.2a-2.fc9.src.rpm

$ rpmlint -i rpmbuild/SPECS/procbench.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i rpmbuild/SRPMS/procbench-0.8.2a-2.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i rpmbuild/RPMS/i386/procbench-0.8.2a-2.fc9.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i rpmbuild/RPMS/i386/procbench-debuginfo-0.8.2a-2.fc9.i386.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Adel Gadllah 2008-08-02 06:19:46 EDT
Package looks fine now.

=> APPROVED
Comment 6 Kairo Francisco de Araujo 2008-08-02 20:02:58 EDT
New Package CVS Request
=======================
Package Name: procbench 
Short Description: Multiplatform information tool and CPU benchmark for x86 procs
Owners: kairo
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-08-03 00:08:50 EDT
cvs done.
Comment 8 Adel Gadllah 2008-10-12 11:14:44 EDT
Package imported and built so closing this one.

Note You need to log in before you can comment on or make changes to this bug.